org.apache.tinkerpop.gremlin.process.traversal

## Enum Text

- java.lang.Object
- - java.lang.Enum<Text>
  - - org.apache.tinkerpop.gremlin.process.traversal.Text

- All Implemented Interfaces:
    Serializable, Comparable<Text>, BiPredicate<String,String>

      public enum Text
      extends Enum<Text>
      implements BiPredicate<String,String>

  `Text` is a `BiPredicate` that determines whether the first string starts with, starts not with, ends with, ends not with, contains or does not contain the second string argument.
  Since:
    3.4.0
  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `containing` Evaluates if the first string contains the second.
    `endingWith` Evaluates if the first string ends with the second.
    `notContaining` Evaluates if the first string does not contain the second.
    `notEndingWith` Evaluates if the first string does not end with the second.
    `notStartingWith` Evaluates if the first string does not start with the second.
    `startingWith` Evaluates if the first string starts with the second.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Text` | `negate()` Produce the opposite representation of the current `Text` enum.
    `static Text` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Text[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.BiPredicate

      `and, or, test`

- - ### Enum Constant Detail

    - #### startingWith

          public static final Text startingWith

      Evaluates if the first string starts with the second.
      Since:
        3.4.0

    - #### notStartingWith

          public static final Text notStartingWith

      Evaluates if the first string does not start with the second.
      Since:
        3.4.0

    - #### endingWith

          public static final Text endingWith

      Evaluates if the first string ends with the second.
      Since:
        3.4.0

    - #### notEndingWith

          public static final Text notEndingWith

      Evaluates if the first string does not end with the second.
      Since:
        3.4.0

    - #### containing

          public static final Text containing

      Evaluates if the first string contains the second.
      Since:
        3.4.0

    - #### notContaining

          public static final Text notContaining

      Evaluates if the first string does not contain the second.
      Since:
        3.4.0

  - ### Method Detail

    - #### values

          public static Text[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Text c : Text.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Text valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### negate

          public abstract Text negate()

      Produce the opposite representation of the current `Text` enum.
      Specified by:
        `negate` in interface `BiPredicate<String,String>`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.